Index: static/js/MultipleSign.js
===================================================================
--- static/js/MultipleSign.js	(revision 4db73c331d848d594c78c8aaf2e29e733bb72558)
+++ static/js/MultipleSign.js	(revision b84cfca74662db8efa458d4987176efe08491588)
@@ -1,70 +1,2 @@
-
-
-
-function True_FalseMultiples(data){
-
-    if (data == "true" ){
-      return "Verdadero";
-    }
-    if (data ==  "false"){
-      return "Falso";
-    }
-
-}
-
-function SerealizeMyJsonMultiples(data){
-  for (var i = 0; i < data.signatures.length; i++) {
-      data.signatures[i].integrityCheck = True_FalseMultiples(data.signatures[i].integrityCheck);
-      data.signatures[i].signerCertificateStillValid = True_FalseMultiples(data.signatures[i].signerCertificateStillValid);
-      data.signatures[i].signerCertificateValidAtTimeOfSigning = True_FalseMultiples(data.signatures[i].signerCertificateValidAtTimeOfSigning);
-      data.signatures[i].signatureCoversWholeDocument = True_FalseMultiples(data.signatures[i].signatureCoversWholeDocument);
-      data.signatures[i].certificatesVerifiedAgainstTheKeyStore = True_FalseMultiples(data.signatures[i].certificatesVerifiedAgainstTheKeyStore);         
-  }
-  return data;
-}
-
-
-//Obtenemos la  informacion de documento
-function InfoDocumentDataTablePDFMultiples(signedFileId){
-
-    $.ajax({
-        //url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/"+signedFileId,
-        url: "https://192.168.12.154:8443/Murachi/0.1/archivos/"+signedFileId,
-        type: "get",
-        dataType: "json",        
-        headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
-        success: function(response) {
-            
-	  		
-	        INFO_DATATABLE_MULTIPLES = SerealizeMyJsonMultiples(response);
-			
-			CONT_MULTIPLES += 1;
-			if (CONT_MULTIPLES == 1){
-				DATATABLE_SIGN_MULTIPLES = DataTablePDFMultiples(response);	
-
-			}
-			if (CONT_MULTIPLES > 1){
-				DATATABLE_SIGN_MULTIPLES.destroy();
-				DATATABLE_SIGN_MULTIPLES = DataTablePDFMultiples(response);	
-			}	
-
-
-			$("#Cuerpo_Sign").hide();
-			$("#Cuerpo_check").hide();
-			$("#well_mensaje").hide();
-			$("#button_SignMultiples").hide();
-			$("#myJsonPDFMultiples_wrapper").show();	
-			ListarDocument()				
-
-
-			
-        },
-        error: function(jqXHR, textStatus, errorThrown){
-          	alert(textStatus+", "+ errorThrown+" el documento PDF para mostrar la info de la sign");     
-        }
-	});
-}
-
-
 // Cuarto paso (Se envia la información del token para terminar la firma)
 function FinalizarFirmaMultiples(signature){
@@ -73,6 +5,6 @@
 		type: 'POST',
 		contentType: 'application/json',
-		url:"https://192.168.12.154:8443/Murachi/0.1/archivos/pdfs/resenas",
-		//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
+		//url:"https://192.168.12.154:8443/Murachi/0.1/archivos/pdfs/resenas",
+		url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
 		dataType: 'json',
 		data: JSON.stringify({"signature":signature}),
@@ -104,6 +36,6 @@
 		type: 'POST',
 		contentType: 'application/json',				
-		url:"https://192.168.12.154:8443/Murachi/0.1/archivos/pdfs2",
-		//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
+		//url:"https://192.168.12.154:8443/Murachi/0.1/archivos/pdfs2",
+		url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
 		dataType: "json",
 		data: parameters,		
@@ -123,22 +55,15 @@
       			}, 
       			function(err) {
-	        		log_text("sign() failed: " + err);
 					var error;
-                    log_text("sign() failed: " + err);
                     if(err == "Error: user_cancel") {
-                        alert("sign() failed: El usuario cancelo la operación");
                         error = "El usuario cancelo la operación"; 
                      }      
                      else if(err == "Error: no_certificates") {
-                         alert("sign() failed: No hay certificado disponible");
                          error = "No hay certificado disponible";
                      }
                      else if(err == "Error: no_implementation") {
-                         alert("sign() failed: No hay soporte para el manejo del certificado");
                          error = "No hay soporte para el manejo del certificado";
                      }
-
-	        		//alert("sign() failed: " + err);
-	        		$("#respuesta").html("sign() failed: " + error);
+                    simple_modal(error);
     	  	});
 			
@@ -160,6 +85,4 @@
 
 	// identificador del archivo en el servidor
-	
-
 	window.hwcrypto.getCertificate({lang: "en"}).then(
 		function(response) {
@@ -173,5 +96,5 @@
 				"reason":"Certificado",
 				"location":"CENDITEL",
-				"contact":"582746574336",
+				"contact":"RedGealc",
 				"signatureVisible":"false",
 				"signaturePage": "",
@@ -185,20 +108,15 @@
 		}, 
 		function(err) {
-  			log_text("getCertificate() failed: " + err);
             var error;
             if(err == "Error: user_cancel") {
-                alert("getCertificate() failed: El usuario cancelo la operación"    );
                 error = "El usuario cancelo la operación"; 
              }      
              else if(err == "Error: no_certificates") {
-                 alert("getCertificate() failed: No hay certificado disponible")    ;
                  error = "No hay certificado disponible";
              }
              else if(err == "Error: no_implementation") {
-                 alert("getCertificate() failed: No hay soporte para el manejo del certificado");
                  error = "No hay soporte para el manejo del certificado";
 			}
-  			//alert("getCertificate() failed: " + err);
-  			$("#respuesta").html("getCertificate() failed: " + error);
+            simple_modal(error);
 		}
 
@@ -206,77 +124,2 @@
 }
 
-
-function ListarDocument(){
-
-
-	$.ajax({
-		type: 'POST',
-		contentType: 'application/json',
-		url:"https://192.168.12.154:8443/Murachi/0.1/archivos/listado",
-		//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
-        type: "get",
-        dataType: "json",        
-        headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
-		success: function(response, textStatus, jqXHR){
-
-			
-			var options = "";
-			options += '<option value="-1"> Seleccionar </option>';			
-			for (var i = 0; i < response.murachiWorkingDirectoryContent.length; i++)
-			{ 
-				var data =  response.murachiWorkingDirectoryContent[i].split(".");
-				if ( data.length > 1 && data[1] ==  "pdf"){
-					 options += '<option value="'+response.murachiWorkingDirectoryContent[i]+'" title ="'+response.murachiWorkingDirectoryContent[i]+'">' +response.murachiWorkingDirectoryContent[i] +'</option>';
-				}
-			}
-
-			$('#listadoDocument').html(options);
-			$('#listadoDocument option:first').attr('selected', 'selected');
-			$("#SelectArchivos").show();
-
-		},
-		error: function(jqXHR, textStatus, errorThrown){
-			alert('error en pdfs/resenas: ' + textStatus);
-			$("#respuesta").html("error en pdfs/resenas: " + textStatus);
-		}
-	});
-
-
-}
-
-
-$("#button_ListarMultiples").on('click', function() {	
-	ListarDocument();
-});
-
-$("#listadoDocument").on('click', function() {
-	var fileId = $("#listadoDocument").val();
-
-	if (fileId != -1 ) {
-			$("#button_SignMultiples").show();
-	}
-	else{
-			$("#button_SignMultiples").hide();
-	}
-
-
-
-});
-
-
-
-$("#Form_sign_multiples").on('submit', function(event) {
-	event.preventDefault();
-	
-	var fileId = $("#listadoDocument").val();
-
-	if (fileId != -1 ) {
-		ObtenerCertificadoFirmanteMultiples(fileId);
-	}
-	else{
-		alert("Debe selecionar un documeto");
-	}
-
-	
-});
-
Index: static/js/funciones.js
===================================================================
--- static/js/funciones.js	(revision ae65f8e661c7e849ba3e4318d25524b96279d963)
+++ static/js/funciones.js	(revision b84cfca74662db8efa458d4987176efe08491588)
@@ -53,5 +53,5 @@
                 close:{
                     text:'cerrar',
-                    className:'red',
+                    className:'blue',
                 }
             }
@@ -72,4 +72,8 @@
     html += '<li class="collection-item"><b>Correo: </b>'+data.correo+'</li>';
     html += '</ul>';
+    html += '<iframe width="700px" height="600px" src="https://192.168.12.154:8443/Murachi/0.1/archivos/listadopdf/cbcd0924-bbfe-49dc-afc8-f32348f20350.pdf">';
+    html += '</iframe><br/>';
+    html += '<a type="button" class="btn waves-effect blue darken-1" onclick="ObtenerCertificadoFirmanteMultiples(\''+data.documento+'\')">';
+    html += '<i class="material-icons left">mode_edit</i> Firmar</a>';
     $('#datos_paricipante').html(html);
 }
